Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Consiglio Driver ATI
#1
(17-11-2012, 16:07 )Matteo Ha scritto: Dimmi il modello esatto della tua scheda video, quali driver hai installato e come li hai installati.

Inoltre, se la tua scheda video è una scheda della serie Radeon HD 5xxx, 6xxx o superiore, allora puoi seguire questa guida per filo e per segno, in modo da rimuovere qualsiasi driver proprietario installato e reinstallare il driver proprietario più aggiornato.

Se la tua scheda è della serie HD, ma con un numero di serie inferiore (4xxx o più basso), allora digita questi comandi:

Codice:
sudo sh /usr/share/ati/fglrx-uninstall.sh
sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx
sudo apt-get install fglrx-updates

e poi riavvia.

Per vedere che scheda hai:
Codice:
lspci | grep VGA
Per vedere che driver è in funzione:
Codice:
lshw -c display | grep driver

dopo avere installato correttamente i driver proprietari, metti qui il risultato dell'ultimo comando che ti ho scritto.

Ciao matteo, visto che sembri ferrato sul argomento, io ho un problema simile, ho un ATI HD 6***
Ho lanciato i comandi da te suggeriti precedentemente
Codice:
daniele@ubuntu:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Seymour [Radeon HD 6400M Series]
daniele@ubuntu:~$ lshw -c display | grep driver
WARNING: you should run this program as super-user.
       configuration: driver=fglrx_pci latency=0
       configuration: driver=i915 latency=0
WARNING: output may be incomplete or inaccurate, you should run this program as super-user.
daniele@ubuntu:~$

ma visto che per le altre istruzioni la scheda grafica non deve essere superiore alla sere 4*** non so come continuare
Cita messaggio
#2
Ho diviso la discussione dal momento che la precedente era stata segnata come risolta ... con l'occasione l'ho spostata nella sezione corretta.

Spiega meglio quale problema si presenta ... tu arrualmente stai usando i driver proprietari ... dovresti essere a posto così ... non serve inseguire sempre i nuovi driver ... molte volte si fa peggio.
Cita messaggio
#3
Si sto usando i driver proprietari precisamente : Driver grafici fglrx proprietari ATI/AMD (aggiornamenti post-release).
Dopo averli attivati al riavvio del pc, mi trovo tra le applicazioni ATI control center, ma quando lo avvio mi dice che nessun driver ati è installato.
Cita messaggio
#4
Se trovi il pannello catalyst tra le applicazioni ed il comando che hai postato ti risponde fglrx ... sono attivi e funzionanti i migliori driver per la tua scheda video pensati e patchati da canonical.

Ovviamente potresti sempre provare quelli piu aggiornati o magari in beta di AMD ... ma te lo sconsiglio ... se non hai problemi video con questi lasciali li
Cita messaggio
#5
Ho capito, ma il punto è, dato che ho due schede video avrei bisogno dello switch che mette a disposizione il catalyst per ottimizzare le prestazioni non c'è un modo per poterlo avviare?
Cita messaggio
#6
Perchè vuoi spegnerla???
Se ce l'hai nel menu avvialo da li ... dovresti avere sia quello USER che quello ROOT.

se non succede nulla avvialo da terminale ... dovrebbe bastare scrivere catalyst o tutto al piu sudo catalyst ... posta gli eventuali errori
Cita messaggio
#7
Photo 
E' quello il problema, quando cerco di avviarlo mi compare una schermata, la quale dice: si e verificato un problema durante l'installazione di catalyst per linux, il problema potrebbe essere:
nessun driver grafico AMD installato, oppure il driver non funziona correttamente.
Cita messaggio
#8
Allora il driver non sta funzionando correttemante Huh

io farei così:

- togli i driver proprietari da driver aggiunti
- riavvia ed assicurati di partire con gli open ... per verificare dai il comando del primo post e dovresti leggere Radeon al posto di Fglrx ... poi accertati che catalyst non sia piu tra il menu
- se tutto ok reinstallali direttamente da apt in questo modo ... sudo apt-get install fglrx-updates

Non sarebbe la prima volta che Jockey (ovvero driver aggiuntivi) cicca l'installazione
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)